# Administration Reference

## vos remove

Purpose

Removes a volume from a site

Synopsis

    vos remove [-server <machine name>]  [-partition <partition name>]
               -id <volume name or ID>  [-cell <cell name>]
               [-noauth]  [-localauth]  [-verbose]  [-help]

    vos remo [-s <machine name>]  [-p <partition name>]  -i <volume name or ID>
             [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos remove command removes the indicated volume from the partition on which it resides. The Volume Location Database (VLDB) record is altered appropriately, as described in the following paragraphs. Use this command to remove any of the three types of volumes; the effect depends on the type.

- If the -id argument names the read/write volume (that is, specifies the volume's base name), both it and the associated backup volume are removed from the partition that houses them. The -server and -partition arguments are optional, because there can be only one read/write site. When the volume is removed, the site information is also removed from the VLDB entry. The read/write and backup volume ID numbers no longer appear in the output from the vos listvldb or vos examine commands, but they are preserved internally. Read-only sites, if any, are not affected, but cannot be changed unless a read/write site is again defined. The site count reported by the vos examine and vos listvldb commands as `number of sites` decrements by one. The entire VLDB entry is removed if there are no read-only sites.

- If the -id argument names a read-only volume, it is removed from the partition that houses it, and the corresponding site information is removed from the VLDB entry. The site count reported by the vos examine and vos listvldb commands as `number of sites` decrements by one for each volume you remove. If there is more than one read-only site, the -server argument (and optionally -partition argument) must be used to specify the site from which to remove the volume. If there is only one read-only site, the -id argument is sufficient; if there is also no read/write volume in this case, the entire VLDB entry is removed.

- If the -id argument names a backup volume, it is removed from the partition that houses it. The -server and -partition arguments are optional, because there can be only one backup site. The backup volume ID number no longer appears in the output from the vos listvldb command or in the corresponding portion of the output from the vos examine command, but is preserved internally.

This command is the most appropriate one for removing volumes in almost all cases. Other commands that remove only volumes or only VLDB entries (such as the vos delentry, vos remsite and vos zap commands) by definition can put the volumes and VLDB out of sync. Use them only in the special circumstances mentioned on their reference pages. Like the vos delentry command, this command can remove a VLDB entry when no corresponding volumes exist on the file server machine. Like the vos zap command, this command can remove a volume that does not have a VLDB entry, as long as the volume is online, -server and -partition arguments are provided, and the -id argument specifies the volume's ID number.

Options

-server
  Identifies the file server machine that houses the volume to remove. It is necessary only when the -id argument names a read-only volume that exists at multiple sites. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies the partition (on the file server machine specified by the -server argument) that houses the volume to remove. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

  Including this argument is necessary only when the -id argument names a read-only volume that exists at multiple sites. Provide the -server argument along with this one.

-id
  Identifies the volume to remove, either by its complete name or volume ID number. If identifying a read-only or backup volume by name, include the appropriate extension (.readonly or .backup).

  Note: | If the -server and -partition arguments are omitted, the -id switch must be provided.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example removes the read/write volume user.terry and its backup version, if any.

       % vos remove  -id user.terry

The following example removes the read-only volume root.afs.readonly from one of its sites, the /vicepa partition on the file server machine fs1.abc.com.

       % vos remove fs1.abc.com  a  root.afs.readonly

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos delentry

vos remsite

vos zap

© IBM Corporation 2000. All Rights Reserved